@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Edu+NSW+ACT+Cursive:wght@400..700&display=swap');


*{
    padding: 0;
    margin:0;
    box-sizing: border-box;
}
body{
        background: #f4f6f9;
    justify-content: space-between;
    min-height: 100vh;
}
.bg-red{
    background-color: red;
}

:root{
    --affd-color: rgb(173, 86, 255);
    --dark-color: rgb(24, 24, 24);
    --light-theme: #fff;
    --dark-theme: #000;
    --fade-text: rgb(122, 122, 122);

/**text sizes **/
    --large-heading: 4.15rem;
    --medium-large-heading: 4.3rem;
    --extra-large-heading: 7.4rem;
    --normal-paragraph: 2.2rem;
    --small-text: 1.3rem;
    --description-text: 1.75rem;   
    --line-h-heading: 1.2;
    --line-h: 1.75;
}
html{
    font-size: 62.5%;
    font-family: "Poppins", Verdana, Geneva, Tahoma, sans-serif;
    scroll-behavior: smooth;
}
header,main,section,footer{
    display: block;
}
a{
    text-decoration: none;
    color: #000;
}
section.joinSection .writeups{
    background-color: var(--affd-color);
    width: 100%;
    padding: 80px 0;
    max-height: fit-content;
    border-radius: 40px;
    color: #fff;
    font-size: 30px;
    text-align: center;
}

header{
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    position: fixed;
    z-index: 2000;
    top: 0;
    padding: 1.5rem 0;
}
div.logo{
        width: 83px;
    color: #fff;
    display: flex;
    align-items: center;
    font-size: 20px;
    font-family: "Edu NSW ACT Cursive", cursive;
    font-weight: 700;
}
div.logo svg{
    margin-right: -10px;
}

div.header-links-holder{
    height: inherit;

}
div.links{
    position: relative;
    height: inherit;
align-items: center;
}



div.links a{
    font-size: var(--small-text);
    text-decoration: none;
    color: var(--affd-dark-color);
    width: 100%;
    text-align: center;
}
.btn{
    outline: 0;
    border: none;
    cursor: pointer;
    border-radius: 40px;
    text-align: center;
    font-size: 1.3rem;
    background-color: #e7e7e7;
    padding:  1.45rem 3rem;
}
.hoverable{
    color: #fff;
    background-color: #000;
    border: 1px solid #fff;
}
.btn:hover{
    transform: scale(.95, .95);
    transform-origin: center;
    transition: transform .2s ease-in-out;
}

#nav-toggle{
    display: none;
}
label.nav-toggle-label{
    font-size: 6.24rem;
    color: #ffffff;
    position: absolute;
    right: 0;
    display: none;
    z-index: 200;
}


/**footer styles**/

footer {
    background-color: black;
    height: max-content;
}

footer div.wrapper {
    width: 75%;
    background-color: re;
}

div.alignment{
    background-color: rg(180, 218, 255);
    gap: 10vw;
    padding: 8vw 0;
}

.grid-auto-fit{
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
}
span.menu-nav-icon{
    text-align: center;
    border-radius: 40px;
    width: 30px; height:30px;
}

span.close-icon{
    color: #000000;
    background-color: #fff;
    display: none;
}

footer h3 {
    font-size: var(--normal-paragraph);
    padding-bottom: 1rem;
    color: var(--affd-color);
}
.gap-10vw{
    gap: 9vw;
}

footer p {
    color: #fff;
    font-size: 1.2rem;
}

section.l-group {
    color: var(--affd-color);
}

section.l-group p {
    font-size: 1.14rem;
    max-width: 60ch;

    color: rgb(116, 116, 116);
}

section.l-group p.copy {
    font-size: 1.2rem;
    padding-bottom: 1rem;
}
section.r-group a.footer-links {
    display: block;
    padding: 1rem 0;
    font-size: 1.3rem;
    font-weight: 500;
    color: rgb(116, 116, 116);
}

div.footer-icon-holder {
    background-color: re;
}

 span.icons {
    width: 45px;
    height: 45px;
    border-radius: 40px;
    background-color: rgb(247, 247, 247);
}

/**footer ends**/
.r {
    flex-direction: row-reverse;
}
.flex-end{

   justify-content: flex-end;
   gap: 4rem;
}
.pad-t20{
    
    padding-top: 2rem;
}
.row-reverse{
    flex-direction: row-reverse;
}


.flex{
    display: flex;
}
.grid{
    display: grid;
}
.flex-grow{
    flex-grow: 1;
}
.space-btw{
    justify-content: space-between;
}
.space-around{
    justify-content: space-around;
}
.align-cen{
    align-items: center;
}

.justify-cen{
    justify-content: center;
}
.full-width{
    width: 100%;
}
.wrapper{
    width: 85%;
    max-width: 1280px;
    position: relative;
}
.active-link-line{
    width: 40%;
    height: 4px;
    display: block;
    background-color: var(--affd-color);
    border-radius: 40px;
    margin: .5rem 0;
    position: absolute;
    bottom: -2px;
}
.gap-20{
    gap: 3rem;
}
.gap-200{
    gap: 20rem;
}
.gap-8{
    gap: .8rem;
}
.gap-15{
    gap: 1.5rem;
}
.gap-50{
    gap: 5rem;
}
div.links a.active-nav-link{
    font-weight: bold;
    color: rgb(128, 20, 230);
}
.vh-40{
    height: 40vh;
}
.flex-col{
    flex-direction: column;
}

div.write-ups p.max-width-60{
    max-width: 75ch;
    background-color: re;
    text-align: justify;
}

.pad-top-20vh{
    padding-top: 30vh;
}


